net.minecraft.client.texturepacks

## Class TexturePackList

- java.lang.Object
- - net.minecraft.client.texturepacks.TexturePackList

-     public class TexturePackList
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TexturePackList(File par1File, Minecraft par2Minecraft)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `availableTexturePacks()` Returns a list of the available texture packs.
    `boolean` | `func_77300_f()`
    `boolean` | `getAcceptsTextures()`
    `boolean` | `getIsDownloading()` Return true if a texture pack is downloading in the background.
    `ITexturePack` | `getSelectedTexturePack()`
    `void` | `onDownloadFinished()` Called from Minecraft.loadWorld() if getIsDownloading() returned true to prepare the downloaded texture for usage.
    `void` | `requestDownloadOfTexture(String par1Str)` filename must end in .zip
    `boolean` | `setTexturePack(ITexturePack par1ITexturePack)` Sets the new TexturePack to be used, returning true if it has actually changed, false if nothing changed.
    `void` | `updateAvaliableTexturePacks()` check the texture packs the client has installed

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TexturePackList

          public TexturePackList(File par1File,
                         Minecraft par2Minecraft)

  - ### Method Detail

    - #### setTexturePack

          public boolean setTexturePack(ITexturePack par1ITexturePack)

      Sets the new TexturePack to be used, returning true if it has actually changed, false if nothing changed.

    - #### requestDownloadOfTexture

          public void requestDownloadOfTexture(String par1Str)

      filename must end in .zip

    - #### getIsDownloading

          public boolean getIsDownloading()

      Return true if a texture pack is downloading in the background.

    - #### onDownloadFinished

          public void onDownloadFinished()

      Called from Minecraft.loadWorld() if getIsDownloading() returned true to prepare the downloaded texture for usage.

    - #### updateAvaliableTexturePacks

          public void updateAvaliableTexturePacks()

      check the texture packs the client has installed

    - #### availableTexturePacks

          public List availableTexturePacks()

      Returns a list of the available texture packs.

    - #### getSelectedTexturePack

          public ITexturePack getSelectedTexturePack()

    - #### func_77300_f

          public boolean func_77300_f()

    - #### getAcceptsTextures

          public boolean getAcceptsTextures()